bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: makeinfo 4.13 support?


From: Christian Egli
Subject: Re: makeinfo 4.13 support?
Date: Fri, 10 Jun 2016 17:20:05 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.5 (gnu/linux)

Peter Simons <address@hidden> writes:

> I suppose you are right. Normally, I wouldn't bother with ancient
> software like that, but in this particular case it's not easy for me to
> replace makeinfo because the environment I'm using is the one provided
> by Travis-CI. Yes, I *can* compile and install my own makeinfo program
> as part of my .travis.yaml script, but that's awkward and time-consuming
> to set up, test, and maintain. It's all very inconvenient, basically.

I'm not sure if that is really the way to do it, but this excerpt from a
.travis.yml file does the trick for me:

# make sure we have texinfo in fact make sure we have texinfo 5.0 or
# higher. Travis currently runs the old Ubuntu LTS which has an old
# version of texinfo, so we need to install from a ppa
before_install:
  - sudo add-apt-repository -y ppa:marutter/texlive.backport
  - sudo add-apt-repository -y ppa:dns/gnu
  - sudo apt-get update -qq
  - sudo apt-get install -y texinfo automake1.14

Hope that helps
Christian


-- 
Christian Egli
Swiss Library for the Blind, Visually Impaired and Print Disabled
Grubenstrasse 12, CH-8045 Z├╝rich, Switzerland




reply via email to

[Prev in Thread] Current Thread [Next in Thread]